Bug 1022523 - Dist-geo-rep : sosreport doesn't include the changelogs and the logs present in the working directory of the geo-rep session
Dist-geo-rep : sosreport doesn't include the changelogs and the logs present ...
Status: CLOSED EOL
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: sos (Show other bugs)
2.1
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Raghavendra Bhat
storage-qa-internal@redhat.com
:
: 989475 (view as bug list)
Depends On:
Blocks: 1285207
  Show dependency treegraph
 
Reported: 2013-10-23 09:07 EDT by Vijaykumar Koppad
Modified: 2015-11-25 03:50 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1285207 (view as bug list)
Environment:
Last Closed: 2015-11-25 03:47:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vijaykumar Koppad 2013-10-23 09:07:33 EDT
Description of problem: sosreport doesn't include the changelog of .processing and .processed  and the logs present in the working directory of the geo-rep session 


Version-Release number of selected component (if applicable):glusterfs-3.4.0.33rhs-1.el6rhs.x86_64


How reproducible:Happens everytime 


Steps to Reproduce:
1.Create and start a geo-rep relationship between master and slave.
2.create some data on master and let them to sync.
3.Take sosreport 

Actual results: sosreport doesn't include the files in the working dir of the geo-rep session


Expected results: It should include everything required for debugging the problem.
and the files in working dir are very important with respect to geo-rep. 


Additional info:
Comment 3 Bryn M. Reeves 2014-12-31 11:47:42 EST
If you need us to collect something we need to know where it is. Where are these ".processing and .processed  and the logs present in the working directory"?

From the description it sounds like this is a duplicate of bug 989475?
Comment 4 Aravinda VK 2014-12-31 23:27:24 EST
(In reply to Bryn M. Reeves from comment #3)
> If you need us to collect something we need to know where it is. Where are
> these ".processing and .processed  and the logs present in the working
> directory"?
> 
> From the description it sounds like this is a duplicate of bug 989475?

Geo-rep working dir is `/var/lib/misc/glusterfsd/`, Other bug I will mark it as duplicate. Initial geo-rep had working dir in /var/run/gluster, but now moved to /var/lib/misc/glusterfsd. (ref: http://review.gluster.org/#/c/7375/)
Comment 5 Aravinda VK 2014-12-31 23:29:59 EST
(In reply to Aravinda VK from comment #4)
> (In reply to Bryn M. Reeves from comment #3)
> > If you need us to collect something we need to know where it is. Where are
> > these ".processing and .processed  and the logs present in the working
> > directory"?
> > 
> > From the description it sounds like this is a duplicate of bug 989475?
> 
> Geo-rep working dir is `/var/lib/misc/glusterfsd/`, Other bug I will mark it
> as duplicate. Initial geo-rep had working dir in /var/run/gluster, but now
> moved to /var/lib/misc/glusterfsd. (ref: http://review.gluster.org/#/c/7375/)

Sorry in RHS 2.1, working dir is in /var/run/gluster. Sorry for the confusion.
Can we include both directories in sosreport?

/var/run/gluster/*
/var/lib/misc/glusterfsd/*
Comment 6 Aravinda VK 2014-12-31 23:31:26 EST
*** Bug 989475 has been marked as a duplicate of this bug. ***
Comment 7 Aravinda VK 2015-11-25 03:47:51 EST
Closing this bug since RHGS 2.1 release reached EOL. Required bugs are cloned to RHGS 3.1. Please re-open this issue if found again.
Comment 8 Aravinda VK 2015-11-25 03:50:15 EST
Closing this bug since RHGS 2.1 release reached EOL. Required bugs are cloned to RHGS 3.1. Please re-open this issue if found again.

Note You need to log in before you can comment on or make changes to this bug.